package com.ruoyi.zdsz.service;

import com.ruoyi.zdsz.domain.ZEngineeringMaterialsResets;
import com.ruoyi.zdsz.domain.vo.ZEngineeringMaterialsResetsVo;
import com.ruoyi.zdsz.domain.bo.ZEngineeringMaterialsResetsBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 工程用料预设Service接口
 *
 * @author ruoyi
 * @date 2023-12-27
 */
public interface IZEngineeringMaterialsResetsService {

    /**
     * 查询工程用料预设
     */
    ZEngineeringMaterialsResetsVo queryById(String id);

    /**
     * 查询工程用料预设列表
     */
    TableDataInfo<ZEngineeringMaterialsResetsVo> queryPageList(ZEngineeringMaterialsResetsBo bo, PageQuery pageQuery);

    /**
     * 查询工程用料预设列表
     */
    List<ZEngineeringMaterialsResetsVo> queryList(ZEngineeringMaterialsResetsBo bo);

    /**
     * 新增工程用料预设
     */
    Boolean insertByBo(ZEngineeringMaterialsResetsBo bo);

    /**
     * 修改工程用料预设
     */
    Boolean updateByBo(ZEngineeringMaterialsResetsBo bo);

    /**
     * 校验并批量删除工程用料预设信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    int getMaterialByAreaId(Collection<String> list);
}
